<?php

namespace App\Modules\DefinedService\Location\Application;

use App\Modules\Shared\Domain\Bus\Query\Response;

class LocationResponses implements Response
{

    private array $data;

    public function __construct(LocationResponse ...$data)
    {
        $this->data = $data;
    }

    public function data()
    {
        return $this->data;
    }
}
